Sale Price Rule Entry

A sale price rule entry record exposes the sale price rule entry to REST web services. This record is not a subrecord. This record has one subrecord: quantitybreak.

The REST API browser includes information about the field names and field types of the sale price rule entry record, and about the HTTP methods, request parameters, and operations available to this record. For details, see the REST API Browser's reference page.

For information about using the REST API Browser, see The REST API Browser.

Record ID

The record ID for a sale price rule entry REST record is salepriceruleentry.

The record ID for a sale price rule entry REST subrecord is quantityBreaks.

Prerequisites

You must enable Pricing before you can use this record through REST web services.

You must use camel case for field names (likeThisExample).

Limitations

You cannot create or edit a sale price rule entry record that references a currently inactive price rule.

Code Sample

The following code sample shows a common use case for updating a sale price rule entry record.

            POST
/services/rest/record/v1/salepriceruleentry
User-Agent: NetSuite-REST-Client
Content-Type: application/json; charset=UTF-8
{ "item": { "id": "380" }, "priceRule": { "id": "6" }, "quantityBreaks": { "items": [ { "lowerBound": 0, "rate": 0 } ] }
} 

          

Related Topics

General Notices